{% extends 'partials/base.html.twig' %}

{% set random = random() %}

{% block body %}

    {% if page.header.show_breadcrumbs and config.plugins.breadcrumbs.enabled %}
        {% include 'partials/breadcrumbs.html.twig' %}
    {% endif %}
    <div class="my-20">
        <div class="container">
            <h2 class="title-section mb-12">{{ page.title }}</h2>
            <div class="my-12">
                {{ page.content|raw }}
            </div>
            <div id="map{{ random }}"{% if page.header.classes %} class="{{ page.header.classes }}"{% endif %} {% if page.header.width or page.header.height %} style="{% if page.header.width is not empty %}width:{{ page.header.width }};{% endif %} {% if page.header.height is not empty %}height:{{ page.header.height }};{% endif %}"{% endif %}></div>
        </div>
    </div>
{% endblock %}

{% do assets.addCss('https://unpkg.com/leaflet@1.7.1/dist/leaflet.css', {'integrity': "sha512-xodZBNTC5n17Xt2atTPuE1HxjVMSvLVW9ocqUKLsCC5CXdbqCmblAshOMAS6/keqq/sMZMZ19scR4PsZChSR7A==", 'crossorigin': "crossorigin"}) %}
{% do assets.addJs('https://unpkg.com/leaflet@1.7.1/dist/leaflet.js', {'integrity': "sha512-XQoYMqMTK8LvdxXYG3nZ448hOEQiglfqkJs1NOQV44cWnUrBc8PkAOcXy20w0vlaXaVUearIOBhiXZ5V3ynxwA==", 'crossorigin': "crossorigin", 'group': 'bottom'}) %}
{% if page.header.clusterize %}
    {% do assets.addJs('https://unpkg.com/leaflet.markercluster@1.4.1/dist/leaflet.markercluster.js', {'crossorigin': "crossorigin", 'group': 'bottom'}) %}
    {% do assets.addCss('https://unpkg.com/leaflet.markercluster@1.4.1/dist/MarkerCluster.css', {'crossorigin': "crossorigin"}) %}
    {% do assets.addCss('https://unpkg.com/leaflet.markercluster@1.4.1/dist/MarkerCluster.Default.css', {'crossorigin': "crossorigin"}) %}
    {% do assets.addInlineJs("
        var markersCluster = new L.MarkerClusterGroup();
    ", {'group':'bottom', 'loading': 'inline'}) %}
{% endif %}
{% if page.header.latitude and page.header.longitude %}
    {% do assets.addInlineJs("
        var map" ~ random ~ " = L.map('map" ~ random ~ "').setView([" ~ page.header.latitude ~ ", " ~ page.header.longitude ~ "], " ~ page.header.zoom ~ ");
        L.tileLayer('https://{s}.tile.openstreetmap.fr/osmfr/{z}/{x}/{y}.png', {
            minZoom: 8,
            maxZoom: 20,
            attribution: '&copy; <a href=\"https://www.openstreetmap.org/copyright\">OpenStreetMap</a> contributors'
        }).addTo(map" ~ random ~ ");

    ", {'group': 'bottom', 'loading': 'inline'}) %}

    {% for category in page.header.categories_map %}
        {% set categoryLoop = loop.index %}
        {% if category.marker_img %}
            {% do assets.addInlineJs("
                var myIcon = L.icon({
                    iconUrl: '" ~ url((category.marker_img|first).path) ~ "',
                    iconSize: [38, 38],
                    iconAnchor: [22, 38],
                    popupAnchor: [-3, -45],
                });", {'group': 'bottom', 'loading': 'inline'})
            %}
        {% endif %}
        {% for marker in category.markers_map %}
            {% if marker.latitude and marker.longitude %}

                {# On crée le marker #}
                {% if category.marker_img %}
                        {% do assets.addInlineJs("
                            var marker" ~ categoryLoop ~ "_"~ loop.index ~" = L.marker([" ~ marker.latitude ~ ", " ~ marker.longitude ~ "], {icon: myIcon});
                        ", {'group': 'bottom', 'loading': 'inline'}) %}
                {% else %}
                        {% do assets.addInlineJs("
                            var marker" ~ categoryLoop ~ "_"~ loop.index ~" = L.marker([" ~ marker.latitude ~ ", " ~ marker.longitude ~ "]);
                        ", {'group': 'bottom', 'loading': 'inline'}) %}
                {% endif %}

                {# On gère les popup #}
                {% if marker.content is not empty %}
                    {% do assets.addInlineJs("marker" ~ categoryLoop ~ "_"~ loop.index ~".bindPopup('" ~ marker.content|markdown|e('js') ~ "')", {'group':'bottom', 'loading': 'inline'}) %}
                {% endif %}

                {# On gère le cas du cluster #}
                {% if page.header.clusterize %}
                        {% do assets.addInlineJs("
                           markersCluster.addLayer(marker" ~ categoryLoop ~ "_"~ loop.index ~");
                        ", {'group': 'bottom', 'loading': 'inline'}) %}
                {% else %}
                    {% do assets.addInlineJs("
                        marker" ~ categoryLoop ~ "_"~ loop.index ~".addTo(map" ~ random ~ ")
                    ", {'group': 'bottom', 'loading': 'inline'}) %}
                {% endif %}
            {% endif %}
        {% endfor %}
    {% endfor %}
    {% if page.header.clusterize %}
        {% do assets.addInlineJs("
            map" ~ random ~ ".addLayer(markersCluster);
        ", {'group': 'bottom', 'loading': 'inline'}) %}
    {% endif %}


{% endif %}
